#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './networkchooserbase.ui'
**
** Created: Thu Jul 13 19:42:17 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "networkchooserbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlistbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qprogressbar.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NetworkChooserBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NetworkChooserBase::NetworkChooserBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NetworkChooserBase" );
    NetworkChooserBaseLayout = new QVBoxLayout( this, 11, 6, "NetworkChooserBaseLayout"); 

    layout13 = new QHBoxLayout( 0, 0, 6, "layout13"); 

    _networksListBox = new QListBox( this, "_networksListBox" );
    _networksListBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, _networksListBox->sizePolicy().hasHeightForWidth() ) );
    layout13->addWidget( _networksListBox );

    _networkInfoBox = new QGroupBox( this, "_networkInfoBox" );
    _networkInfoBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, _networkInfoBox->sizePolicy().hasHeightForWidth() ) );
    _networkInfoBox->setColumnLayout(0, Qt::Vertical );
    _networkInfoBox->layout()->setSpacing( 6 );
    _networkInfoBox->layout()->setMargin( 11 );
    _networkInfoBoxLayout = new QGridLayout( _networkInfoBox->layout() );
    _networkInfoBoxLayout->setAlignment( Qt::AlignTop );

    textLabel4 = new QLabel( _networkInfoBox, "textLabel4" );

    _networkInfoBoxLayout->addWidget( textLabel4, 3, 0 );

    _lneChannel = new QLineEdit( _networkInfoBox, "_lneChannel" );
    _lneChannel->setReadOnly( TRUE );

    _networkInfoBoxLayout->addMultiCellWidget( _lneChannel, 3, 3, 1, 4 );

    textLabel3 = new QLabel( _networkInfoBox, "textLabel3" );

    _networkInfoBoxLayout->addMultiCellWidget( textLabel3, 2, 2, 0, 3 );

    _prgSignal = new QProgressBar( _networkInfoBox, "_prgSignal" );

    _networkInfoBoxLayout->addWidget( _prgSignal, 2, 4 );

    textLabel2 = new QLabel( _networkInfoBox, "textLabel2" );

    _networkInfoBoxLayout->addMultiCellWidget( textLabel2, 1, 1, 0, 2 );

    _lneWep = new QLineEdit( _networkInfoBox, "_lneWep" );
    _lneWep->setReadOnly( TRUE );

    _networkInfoBoxLayout->addMultiCellWidget( _lneWep, 1, 1, 3, 4 );

    textLabel1 = new QLabel( _networkInfoBox, "textLabel1" );

    _networkInfoBoxLayout->addMultiCellWidget( textLabel1, 0, 0, 0, 1 );

    _lneAddress = new QLineEdit( _networkInfoBox, "_lneAddress" );
    _lneAddress->setFrameShadow( QLineEdit::Sunken );
    _lneAddress->setReadOnly( TRUE );

    _networkInfoBoxLayout->addMultiCellWidget( _lneAddress, 0, 0, 2, 4 );

    textLabel6 = new QLabel( _networkInfoBox, "textLabel6" );
    textLabel6->setAlignment( int( QLabel::AlignTop ) );

    _networkInfoBoxLayout->addWidget( textLabel6, 5, 0 );

    _lbxBitrates = new QListBox( _networkInfoBox, "_lbxBitrates" );
    _lbxBitrates->setSelectionMode( QListBox::NoSelection );

    _networkInfoBoxLayout->addMultiCellWidget( _lbxBitrates, 5, 5, 1, 4 );

    textLabel5 = new QLabel( _networkInfoBox, "textLabel5" );

    _networkInfoBoxLayout->addMultiCellWidget( textLabel5, 4, 4, 0, 1 );

    _lneFrequency = new QLineEdit( _networkInfoBox, "_lneFrequency" );
    _lneFrequency->setReadOnly( TRUE );

    _networkInfoBoxLayout->addMultiCellWidget( _lneFrequency, 4, 4, 2, 4 );
    layout13->addWidget( _networkInfoBox );
    NetworkChooserBaseLayout->addLayout( layout13 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    _useDHCP = new QCheckBox( this, "_useDHCP" );
    _useDHCP->setChecked( TRUE );
    layout3->addWidget( _useDHCP );
    spacer1 = new QSpacerItem( 110, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer1 );

    _useButton = new QPushButton( this, "_useButton" );
    layout3->addWidget( _useButton );

    _cancelButton = new QPushButton( this, "_cancelButton" );
    layout3->addWidget( _cancelButton );
    NetworkChooserBaseLayout->addLayout( layout3 );
    languageChange();
    resize( QSize(487, 314).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NetworkChooserBase::~NetworkChooserBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NetworkChooserBase::languageChange()
{
    setCaption( tr2i18n( "Available Networks" ) );
    _networkInfoBox->setTitle( tr2i18n( "Network Info" ) );
    textLabel4->setText( tr2i18n( "Channel" ) );
    textLabel3->setText( tr2i18n( "Signal Strength" ) );
    textLabel2->setText( tr2i18n( "WEP Required" ) );
    textLabel1->setText( tr2i18n( "AP Address" ) );
    textLabel6->setText( tr2i18n( "Bitrates" ) );
    textLabel5->setText( tr2i18n( "Frequency" ) );
    _useDHCP->setText( tr2i18n( "&Auto Configuration" ) );
    _useDHCP->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QToolTip::add( _useDHCP, tr2i18n( "Automatically configure network settings via DHCP" ) );
    _useButton->setText( tr2i18n( "&Use" ) );
    _useButton->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    _cancelButton->setText( tr2i18n( "&Cancel" ) );
    _cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
}

#include "networkchooserbase.moc"
